Skip to main content
POST
/
v1
/
compliance
/
prompt
Check prompt compliance
curl --request POST \
  --url https://api.vidjutsu.ai/v1/compliance/prompt \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "platform": "youtube",
  "kind": "caption",
  "context": {
    "caption": "<string>",
    "hashtags": [
      "<string>"
    ],
    "monetized": true
  }
}
'
{
  "riskScore": 123,
  "verdict": "safe",
  "violations": [
    {
      "ruleId": "<string>",
      "category": "<string>",
      "severity": "low",
      "explanation": "<string>",
      "citation": {
        "text": "<string>",
        "sourceUrl": "<string>",
        "policyVersion": "<string>"
      },
      "evidence": {
        "timestamp": 123,
        "transcriptExcerpt": "<string>",
        "visualDescription": "<string>"
      }
    }
  ],
  "platform": "youtube",
  "policySnapshotDate": "<string>",
  "disclaimer": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
text
string
required

The text to evaluate — caption, ad copy, draft script, upload description, etc.

platform
enum<string>
required
Available options:
youtube,
tiktok,
instagram,
facebook-ads
kind
enum<string>

Optional label for logs; does not affect rule selection.

Available options:
caption,
script,
ad-copy,
description,
other
context
object

Optional publication metadata that affects risk (caption, hashtags, monetization intent).

Response

200 - application/json

The request has succeeded.

riskScore
integer<int32>
required

Composite risk score 0-100 computed deterministically from violation severities.

verdict
enum<string>
required
Available options:
safe,
caution,
high-risk,
likely-violation
violations
object[]
required
platform
enum<string>
required
Available options:
youtube,
tiktok,
instagram,
facebook-ads
policySnapshotDate
string
required

ISO date of the newest active policy snapshot this scan was evaluated against.

disclaimer
string
required

Informational disclaimer. This response is not legal advice.